package cn.com.qmth.stmms.biz.mark.model;

import java.io.Serializable;

/**
 * 阅卷轨迹交换类
 * 
 * @author luoshi
 * 
 */
public class TrackDTO implements Serializable {

    private static final long serialVersionUID = 4336042741848228793L;

    private String questionNumber;

    private int number;

    private double score;

    private double positionX;

    private double positionY;

    public TrackDTO() {

    }

    public TrackDTO(MarkTrack track) {
        setQuestionNumber(track.getQuestionNumber());
        setNumber(track.getNumber());
        setScore(track.getScore());
        setPositionX(track.getPositionX());
        setPositionY(track.getPositionY());
    }

    public MarkTrack transform(MarkLibrary library) {
        MarkTrack track = new MarkTrack();
        track.setStudentId(library.getStudentId());
        track.setQuestionNumber(getQuestionNumber());
        track.setNumber(getNumber());
        track.setExamId(library.getExamId());
        track.setSubjectCode(library.getSubjectCode());
        track.setMarkerId(library.getMarkerId());
        track.setScore(getScore());
        track.setPositionX(getPositionX());
        track.setPositionY(getPositionY());
        return track;
    }

    public String getQuestionNumber() {
        return questionNumber;
    }

    public void setQuestionNumber(String questionNumber) {
        this.questionNumber = questionNumber;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public double getPositionX() {
        return positionX;
    }

    public void setPositionX(double positionX) {
        this.positionX = positionX;
    }

    public double getPositionY() {
        return positionY;
    }

    public void setPositionY(double positionY) {
        this.positionY = positionY;
    }

}
